org.apache.solr.handler.component

## Class QueryElevationComponent

- java.lang.Object
- - org.apache.solr.handler.component.SearchComponent
  - - org.apache.solr.handler.component.QueryElevationComponent

- All Implemented Interfaces:
    SolrInfoMBean, NamedListInitializedPlugin, SolrCoreAware

      public class QueryElevationComponent
      extends SearchComponent
      implements SolrCoreAware

  A component to elevate some documents to the top of the result set.
  Since:
    solr 1.3

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.apache.solr.core.SolrInfoMBean

      `SolrInfoMBean.Category`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `BOOSTED`
    `static String` | `BOOSTED_DOCIDS`
    `static String` | `BOOSTED_PRIORITY`
    `static String` | `EXCLUDED`

    - ### Fields inherited from class org.apache.solr.handler.component.SearchComponent

      `standard_components`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `QueryElevationComponent()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static com.carrotsearch.hppc.IntIntHashMap` | `getBoostDocs(SolrIndexSearcher indexSearcher, Map<BytesRef,Integer> boosted, Map context)`
    `String` | `getDescription()` Simple one or two line description
    `URL[]` | `getDocs()` Documentation URL list.
    `void` | `inform(SolrCore core)`
    `void` | `init(NamedList args)`
    `void` | `prepare(ResponseBuilder rb)` Prepare the response.
    `void` | `process(ResponseBuilder rb)` Process the request for this component

    - ### Methods inherited from class org.apache.solr.handler.component.SearchComponent

      `distributedProcess, finishStage, getCategory, getName, getSource, getStatistics, getVersion, handleResponses, modifyRequest, setName`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### BOOSTED

          public static final String BOOSTED

      See Also:
        Constant Field Values

    - #### BOOSTED_DOCIDS

          public static final String BOOSTED_DOCIDS

      See Also:
        Constant Field Values

    - #### BOOSTED_PRIORITY

          public static final String BOOSTED_PRIORITY

      See Also:
        Constant Field Values

    - #### EXCLUDED

          public static final String EXCLUDED

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### QueryElevationComponent

          public QueryElevationComponent()

  - ### Method Detail

    - #### init

          public void init(NamedList args)

      Specified by:
        `init` in interface `NamedListInitializedPlugin`
      Overrides:
        `init` in class `SearchComponent`

    - #### inform

          public void inform(SolrCore core)

      Specified by:
        `inform` in interface `SolrCoreAware`

    - #### prepare

          public void prepare(ResponseBuilder rb)
                       throws IOException

      Description copied from class: `SearchComponent`
      Prepare the response. Guaranteed to be called before any SearchComponent `SearchComponent.process(org.apache.solr.handler.component.ResponseBuilder)` method. Called for every incoming request. The place to do initialization that is request dependent.
      Specified by:
        `prepare` in class `SearchComponent`
      Parameters:
        `rb` - The `ResponseBuilder`
      Throws:
        `IOException` - If there is a low-level I/O error.

    - #### getBoostDocs

          public static com.carrotsearch.hppc.IntIntHashMap getBoostDocs(SolrIndexSearcher indexSearcher,
                                                                         Map<BytesRef,Integer> boosted,
                                                                         Map context)
                                                                  throws IOException

      Throws:
        `IOException`

    - #### process

          public void process(ResponseBuilder rb)
                       throws IOException

      Description copied from class: `SearchComponent`
      Process the request for this component
      Specified by:
        `process` in class `SearchComponent`
      Parameters:
        `rb` - The `ResponseBuilder`
      Throws:
        `IOException` - If there is a low-level I/O error.

    - #### getDescription

          public String getDescription()

      Description copied from interface: `SolrInfoMBean`
      Simple one or two line description
      Specified by:
        `getDescription` in interface `SolrInfoMBean`
      Specified by:
        `getDescription` in class `SearchComponent`

    - #### getDocs

          public URL[] getDocs()

      Description copied from interface: `SolrInfoMBean`
      Documentation URL list.

      Suggested documentation URLs: Homepage for sponsoring project, FAQ on class usage, Design doc for class, Wiki, bug reporting URL, etc...

      Specified by:
        `getDocs` in interface `SolrInfoMBean`
      Overrides:
        `getDocs` in class `SearchComponent`

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.